/* eslint-disable @typescript-eslint/no-unused-vars */
import type { InputProps } from 'element-plus'

export interface citySelectProps {
  // 选中数据
  modelValue: string
  // 选择类型
  type?: 'province' | 'city' | 'area'
  // placeholder文字
  placeholder?: string
  // 是否禁用
  disabled?: boolean
  // 大小
  size?: InputProps['size']
  // 清除按钮
  clearable?: boolean
  // 是否搜索
  filterable?: boolean
  // 是否多选
  multiple?: boolean
  // 多选模式下是否折叠Tag
  collapseTags?: boolean
  // 显示最大tag数量
  maxCollapseTags?: number
  // 用鼠标悬停折叠文字以显示具体所选值
  collapseTagsTooltip?: boolean
  teleported?: boolean
}

/* 事件 */
export const citySelectEmits = {
  // 选择事件
  change: (_value: any) => true,
  // 修改modelValue
  'update:modelValue': (_value: any) => true
}
